# Webform Scheduled Tasks Plus

## Plugins

### Task

#### File Export

The **File Export** task allows users to configure and execute exports of webform submissions to a file on the server. Key features include:

- **Field Selection**: Choose specific fields from the webform submission to include in the exported file. This ensures only relevant data is exported, which can help streamline data processing.
- **Server-only Export**: The exported file is saved directly to the server without additional transfer options. This can be useful for maintaining data within a controlled environment or for subsequent processing by server-side applications.

#### Remote Transfer

The **Remote Transfer** task enables users to export webform submission data to remote services using the Flysystem library. This task supports flexible file transfers with several options:

- **Field Selection**: Similar to File Export, users can select specific fields to include in the exported file, ensuring only relevant data is transferred.
- **Remote File Transfer**: Transfers the exported file to a remote service via protocols supported by Flysystem. This includes SFTP and FTP, which can be used to securely transfer data to external servers.
- **Supported Services**: Current support includes SFTP and FTP. Planned expansions include AWS S3, Google Drive, and Azure, allowing users to transfer files to popular cloud storage services for greater flexibility and data storage options.

### ResultSet

#### Custom Filters

The **Custom Filters** feature allows users to apply custom logic and conditions to filter webform submissions for more targeted results. Key features include:

- **Custom Filtering Logic**: Apply specific conditions to filter webform submissions based on custom criteria. This gives users control over the data returned in the results set, ensuring it meets specific requirements.
- **Field-based Conditions**: Filters can be created using fields from the webform submission, allowing users to tailor results based on the exact data submitted.
- **Advanced Logic and Grouping**: Custom Filters support logical conditions like AND and OR, which can be used to create complex filters that group fields together. This is particularly useful for building nuanced queries that retrieve precise data sets based on multiple criteria.
