<?php

namespace Drupal\webform_scheduled_tasks_plus\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a WebformScheduledTaskPlusTransportPlugin attribute object.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class WebformScheduledTaskPlusTransportPlugin extends Plugin {

  /**
   * Construct a transport plugin attribute.
   *
   * @param string $id
   *   The plugin ID.
   * @param string $label
   *   The plugin label.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup|null $category
   *   (optional) Category name.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup|null $description
   *   (optional) Description of the transport plugin.
   * @param class-string|null $deriver
   *   (optional) The deriver class.
   */
  public function __construct(
    public readonly string $id,
    public readonly string $label,
    public readonly ?TranslatableMarkup $category = NULL,
    public readonly ?TranslatableMarkup $description = NULL,
    public readonly ?string $deriver = NULL,
  ) {}

}
