<?php

namespace Drupal\webform_scheduled_tasks_plus;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Plugin\PluginBase;

/**
 * A base class to help developers implement their own transporter plugins.
 */
abstract class WebformScheduledTasksTransportPluginBase extends PluginBase implements WebformScheduledTasksTransportPluginInterface {

  /**
   * {@inheritdoc}
   */
  public function description() {
    // Retrieve the description property from the attribute and return it.
    return $this->pluginDefinition['description'];
  }

  /**
   * Default plugin configuration.
   */
  public function defaultConfiguration() {
    return [];
  }

  /**
   * Build the plugin configuration form.
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    return $form;
  }

  /**
   * Validate the configuration form.
   */
  public function validateConfigurationForm(array $form, FormStateInterface $form_state) {

  }

  /**
   * Submit handler for configuration form.
   */
  public function submitConfigurationForm(array $form, FormStateInterface $form_state) {

  }

  /**
   * {@inheritdoc}
   */
  abstract public function transport(string $file): bool;

}
