<?php

namespace Drupal\webform_scheduled_tasks_plus;

/**
 * An interface for all WebformScheduledTasksTransportPlugin type plugins.
 */
interface WebformScheduledTasksTransportPluginInterface {

  /**
   * Provide a description of the transport plugin.
   *
   * @return string
   *   A string description of the transporter.
   */
  public function description();

  /**
   * Transport the file to the remote endpoint.
   *
   * @param string $file
   *   Location of the file to transfer.
   *
   * @return bool
   *   Return TRUE if successful and FALSE if not.
   */
  public function transport(string $file): bool;

}
